Subject: Re: bug#59358: 29.0.50; failing to load .eln for init file sets user-init-file to warnings.el

From: Juanma Barranquero <[email-masked]>
Date: Sun, 27 Nov 2022 20:01:25 +0100

On Fri, Nov 18, 2022 at 3:24 PM Eli Zaretskii <[email-masked]> wrote:

> I think the solution to that is to special-case ".emacs", in
> maybe_swap_for_eln, as a file name that doesn't have to have the .el
> extension for this purpose.
>

I've been fiddling with maybe_swap_for_eln for a while to try to
special-case .emacs and make comp native-compile it, but I reached a point
where it was getting a bit out of hand in the kludgey department.

I think that's better implemented by someone more knowledgeable with the
native-compiler machinery.